
From: Tom Rini <trini@kernel.crashing.org>

- Remove saved_command_line (and saving of the command line).
- Call parse_early_options


---

 25-akpm/arch/m68knommu/kernel/setup.c       |    7 ++-----
 25-akpm/arch/m68knommu/kernel/vmlinux.lds.S |    3 +++
 25-akpm/include/asm-m68knommu/setup.h       |    4 ++++
 3 files changed, 9 insertions(+), 5 deletions(-)

diff -puN arch/m68knommu/kernel/setup.c~early-param-m68knommu arch/m68knommu/kernel/setup.c
--- 25/arch/m68knommu/kernel/setup.c~early-param-m68knommu	2004-04-01 02:06:10.029854632 -0800
+++ 25-akpm/arch/m68knommu/kernel/setup.c	2004-04-01 02:06:10.036853568 -0800
@@ -51,8 +51,7 @@ unsigned long rom_length;
 unsigned long memory_start;
 unsigned long memory_end;
 
-char command_line[512];
-char saved_command_line[512];
+char command_line[COMMAND_LINE_SIZE];
 
 /* setup some dummy routines */
 static void dummy_waitbut(void)
@@ -224,10 +223,8 @@ void setup_arch(char **cmdline_p)
 		(int) memory_end, (int) _ramend);
 #endif
 
-	/* Keep a copy of command line */
 	*cmdline_p = &command_line[0];
-	memcpy(saved_command_line, command_line, sizeof(saved_command_line));
-	saved_command_line[sizeof(saved_command_line)-1] = 0;
+	parse_early_options(cmdline_p);
 
 #ifdef DEBUG
 	if (strlen(*cmdline_p)) 
diff -puN arch/m68knommu/kernel/vmlinux.lds.S~early-param-m68knommu arch/m68knommu/kernel/vmlinux.lds.S
--- 25/arch/m68knommu/kernel/vmlinux.lds.S~early-param-m68knommu	2004-04-01 02:06:10.030854480 -0800
+++ 25-akpm/arch/m68knommu/kernel/vmlinux.lds.S	2004-04-01 02:06:10.037853416 -0800
@@ -263,6 +263,9 @@ SECTIONS {
 		__setup_start = .;
 		*(.init.setup)
 		__setup_end = .;
+		__early_begin = .;
+		__early_param : { *(__early_param) }
+		__early_end = .;
 		__start___param = .;
 		*(__param)
 		__stop___param = .;
diff -puN include/asm-m68knommu/setup.h~early-param-m68knommu include/asm-m68knommu/setup.h
--- 25/include/asm-m68knommu/setup.h~early-param-m68knommu	2004-04-01 02:06:10.031854328 -0800
+++ 25-akpm/include/asm-m68knommu/setup.h	2004-04-01 02:06:10.037853416 -0800
@@ -1 +1,5 @@
 #include <asm-m68k/setup.h>
+
+/* We have a bigger command line buffer. */
+#undef COMMAND_LINE_SIZE
+#define COMMAND_LINE_SIZE	512

_
